Page MenuHomeFreeBSD

New port: net-mgmt/check_mk_agent: Nagios-compatible agent for the Check_MK monitoring
ClosedPublic

Authored by 0mp on Jan 18 2019, 4:44 PM.

Details

Summary
New port: net-mgmt/check_mk_agent: Nagios-compatible agent for the Check_MK monitoring

Check_MK is a software for effective IT monitoring. Easy installation,
best-in-class scalability and a broad range of features are just some of the
reasons why more and more users become Check_MK fans.

WWW: http://mathias-kettner.com/check_mk.html
Test Plan
  • portlint
  • poudriere testport 11.2 i386, amd64, 12.0 amd64, i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

net-mgmt/check_mk_agent/Makefile
30 ↗(On Diff #52991)
PORTDOCS=    README.FreeBSD
  • Use PORTDOCS.
  • Improve pkg-message formatting.
net-mgmt/check_mk_agent/Makefile
33–36 ↗(On Diff #53154)

That should probably be done in a post-patch target. (And then add NO_BUILD=yes)

  • Set NO_BUILD and move do-build to post-patch.
mat added inline comments.
net-mgmt/check_mk_agent/Makefile
32 ↗(On Diff #53155)

This is not needed.

This revision is now accepted and ready to land.Jan 24 2019, 2:50 PM
0mp marked 3 inline comments as done.Jan 25 2019, 9:42 AM
0mp added inline comments.
net-mgmt/check_mk_agent/Makefile
32 ↗(On Diff #53155)

Oh right, that's a fallout after some experimenting.

This revision was automatically updated to reflect the committed changes.
0mp marked an inline comment as done.